# CacheHelper verwenden

Erweitert die Redaxo Installation um ein paar "nette" libary Funktionen um den Quellcode übersichtlich und einheitlich zu halten.



Die Image Funktion
```
<?php
optimizer::image('bild.jpg', 'mediatyp-default', 'alternativ Tag', 'css-klassen', 'parameter="gehenauch");
?>
```
erzeugt folgende Ausgabe
```
<picture>
    <source srcset="pfad/zum/bild/mediatyp-default-xs/bild.jpg" media="(max-width: 380px)">
    <source srcset="pfad/zum/bild/mediatyp-default-sm/bild.jpg" media="(max-width: 540px)">
    <source srcset="pfad/zum/bild/mediatyp-default-md/bild.jpg" media="(max-width: 720px)">
    <source srcset="pfad/zum/bild/mediatyp-default-lg/bild.jpg" media="(max-width: 960px)">
    <source srcset="pfad/zum/bild/mediatyp-default-xl/bild.jpg" media="(max-width: 1140px)">
    <img src="pfad/zum/bild/bild.jpg" alt="alternativ Tag" class="css-klassen" parameter="gehenauch">
<picture>
```
Sofern kein Mediatyp übergeben wird, wird default verwendet. Es werden bei der Installation auch dementsprechend die Mediatypen default-xs, default-sm, default-md, default-lg und default-xl angelegt.




HTML Header ausgeben mit Parametern.
```
<?php
    $css = ['pfad/zur/css/datei.css', 'pfad/zur/css/datei2.css']
    $js = ['pfad/zur/js/datei.js', 'pfad/zur/js/datei2.js']
    $content = '<script type="text/javascript">alert("Hallo!");</script>';
    optimizer::getHeader($content, $css, $js);
?>
```
Diese Funktion gibt einen fertig Bereich von <!DOCTYPE html> bis hin zum "body" Tag aus.