<?php
/**
 * Created by PhpStorm.
 * User: marcel
 * Date: 12.06.17
 * Time: 09:35
 */

class rex_effect_cachecontrol extends rex_effect_abstract
{
    public function execute() {
        if($this->params['cachecontrol'] != '') {
            if($this->params['cachecontrol'] == 'default') {
                $this->params['cachecontrol'] = a644_cachehelper_config::getConfigKey('default');
            }
            $this->media->setHeader('Cache-Control',$this->params['cachecontrol']);
        }
    }

    public function getParams() {
        return [
            [
                'label' => 'Cache-Control Header',
                'name' => 'cachecontrol',
                'type' => 'string',
                'default'=>'default'
            ]
        ];
    }
}