<?php
/*
 * @param $key
 * @param null $format
 * @param string $default
 * @return mixed
 */

function mInfo($key, $format = null, $default = '', $clang = null) {
	if($clang == null) $clang = rex_clang::getCurrent()->getCode();

	$key = $clang.'_'.$key;
    $value = a644_minfo::get($key,$default);
    if($format) {
        if($format === 'phone') {
            return 'tel:'.preg_replace('( |\(0\)|\(|\)|-)', '', $value);
        } elseif($format === 'link') {
            return rex_getUrl($value);
        }
    } else {
        return $value;
    }
}